PHPMailer报错

日志 / 1045人浏览 / 0人评论

       在php7.2运行邮件插件PHPMailer时会发生一下错误

 __autoload() is deprecated, use spl_autoload_register() instead

 

      然而当我修改phpmailer文件夹里的PHPMailerAutoload.php,将__autoload 函数名改为 spl_autoload_register又报了以下错误,

 SMTP connect() failed. https://github.com/PHPMailer/PHPMailer/wiki/Troubleshooting

 

      内心有点烦躁, 一气之下直接把php版本将降级为7.1,PHPMailer插件再也没有问题了,也能正常发送邮件

 


感谢博主,喝杯咖啡~

0 条评论

还没有人发表评论

发表评论 取消回复

记住我的信息,方便下次评论
有人回复时邮件通知我